%global shortname looks

Name:           jgoodies-looks
Version:        2.5.3
Release:        %mkrel 4
Summary:        Free high-fidelity Windows and multi-platform appearance

Group:          Development/Java
License:        BSD
URL:            http://www.jgoodies.com/freeware/looks/
Source0:        http://www.jgoodies.com/download/libraries/%{shortname}/%{name}-%(tr "." "_" <<<%{version}).zip

# Fontconfig and DejaVu fonts needed for tests
#BuildRequires:  dejavu-sans-fonts
BuildRequires:  fontconfig
BuildRequires:  java-devel >= 1:1.6.0
BuildRequires:  jgoodies-common >= 1.4.0
BuildRequires:  jpackage-utils
BuildRequires:  maven-local
BuildRequires:  maven-clean-plugin
BuildRequires:  maven-dependency-plugin
Requires:       java >= 1:1.6.0
Requires:       jgoodies-common >= 1.4.0
Requires:       jpackage-utils
# JGoodies Looks <= 2.4.2 doesn't provide demo jars anymore
Provides:       %{name}-demo = %{version}-%{release}
Obsoletes:      %{name}-demo < 2.4.2
BuildArch:      noarch

%description
The JGoodies look&feels make your Swing applications and applets look better.
They have been optimized for readability, precise micro-design and usability.


%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q

# Unzip source and test files from provided JARs
mkdir -p src/main/java/ src/test/java/
pushd src/main/java/
jar -xf ../../../%{name}-%{version}-sources.jar
popd
pushd src/test/java/
jar -xf ../../../%{name}-%{version}-tests.jar
popd

# Move the resources into a "resources" directory so they end up packaged
# properly
mkdir -p src/main/resources/com/jgoodies/looks/plastic/
mv src/main/java/com/jgoodies/looks/plastic/icons/ src/main/resources/com/jgoodies/looks/plastic/
mkdir -p src/main/resources/com/jgoodies/looks/common
mv src/main/java/com/jgoodies/looks/common/*.png src/main/resources/com/jgoodies/looks/common/

# Delete prebuild JARs
find -name "*.jar" -exec rm {} \;

# Fix wrong end-of-line encoding
for file in LICENSE.txt RELEASE-NOTES.txt; do
  sed -i.orig "s/\r//" $file && \
  touch -r $file.orig $file && \
  rm $file.orig
done

%mvn_file :%{name} %{name} %{name}


%build
%mvn_build -f


%install
%mvn_install


%files -f .mfiles
%doc LICENSE.txt README.html RELEASE-NOTES.txt


%files javadoc -f .mfiles-javadoc





%changelog
* Tue Oct 22 2013 umeabot <umeabot> 2.5.3-4.mga4
+ Revision: 542013
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 dmorgan <dmorgan> 2.5.3-3.mga4
+ Revision: 496696
- New version

* Sat Jan 12 2013 umeabot <umeabot> 2.4.2-2.mga3
+ Revision: 355386
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 fwang <fwang> 2.4.2-1.mga3
+ Revision: 331478
- update file list
- update file list
- new version 2.4.2

* Fri Oct 21 2011 gil <gil> 2.4.1-1.mga2
+ Revision: 157169
- edit spec file
- added maven2 poms

* Wed Jul 06 2011 grenoya <grenoya> 2.4.1-0.0.4.mga2
+ Revision: 119500
- upgrade sources to 2.4.1
- remove patch #0
- remove unneeded define due to change of sources name

* Sat Mar 05 2011 grenoya <grenoya> 2.2.1-0.0.4.mga1
+ Revision: 64851
- imported package jgoodies-looks


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 2.2.1-0.0.4mdv2011.0
+ Revision: 612445
- the mass rebuild of 2010.1 packages

* Thu Apr 29 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.2.1-0.0.3mdv2010.1
+ Revision: 540955
- rebuild

* Fri Sep 11 2009 Thierry Vignaud <tv@mandriva.org> 2.2.1-0.0.2mdv2010.0
+ Revision: 438037
- rebuild

* Sun Mar 08 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.2.1-0.0.1mdv2009.1
+ Revision: 352863
- update to new version 2.2.1
- spec file clean

* Mon Sep 22 2008 Alexander Kurtakov <akurtakov@mandriva.org> 2.2.0-0.6.1mdv2009.0
+ Revision: 286493
- BR java-rpmbuild
- fix group
- import jgoodies-looks


